[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

installing Oracle on Debian AMD64




Dear People,

I am (unfortunately) trying to install Oracle Database 10g on Debian AMD64. I know this is routinely done on i386, but I'm having some problems.

The errors I get appear below, when I try to bring up the installer screen (using ./runInstaller), which I believe uses Java.

I have found discussions of this problems in Ubuntu forums, but nothing for Debian.

Eg. http://ubuntuforums.org/showthread.php?t=40392&highlight=locale+set+CX

I installed the 64 bit versions of Java 1.5 using javapackage.

ii sun-j2sdk1.5 1.5.0+update05 Java(TM) 2 SDK, Standard Edition, Sun Micros

One significant difference between Ubuntu and Debian is that 64 bit Ubuntu, like other commercial distributions, has some 32 bit libraries included in it, including the X one. All the discussions I've found pertaining to Ubuntu reference the 32 bit X libraries in some way.

I'm not clear what the problem here is. Can anyone clarify, and/or suggest a workaround?

This is probably wishful thinking, but is it possible that this error arises because I am doing X forwarding from a 64 bit machine to a 32 bit machine over ssh, and would go away at the console? At the moment I don't have access to the machine in question, but will try then when I do.

As a fallback position, does anyone know whether installing a 32 version of Oracle Database 10g in a chroot in a 64 bit system would be workable?

Thanks in advance, and apologies for posting a message about proprietary software to a Debian forum.

                                                               Faheem.
*************************************************************************
ERROR: Unable to convert from "UTF-8" to "ISO-8859-1" for NLS!
redhat-3, SuSE-9, SuSE-8 or UnitedLinux-1.0
/tmp/OraInstall2005-10-23_12-41-19PM. Oracle Universal Installer, Version 10.1.0.3.0 Production
Copyright (C) 1999, 2004, Oracle. All rights reserved.

current locale is not supported in X11, locale is set to CX locale modifiers are not supported, using defaultException java.lang.InternalError: Current locale is not supported occurred..
java.lang.InternalError: Current locale is not supported
	at sun.awt.motif.MWindowPeer.pSetTitle(Native Method)
	at sun.awt.motif.MWindowPeer.init(MWindowPeer.java:97)
	at sun.awt.motif.MFramePeer.<init>(MFramePeer.java:58)
	at sun.awt.motif.MToolkit.createFrame(MToolkit.java:209)
	at java.awt.Frame.addNotify(Frame.java:472)
	at java.awt.Window.addNotify(Window.java:413)
	at java.awt.Window.show(Window.java:459)
	at java.awt.Component.show(Component.java:1133)
	at java.awt.Component.setVisible(Component.java:1088)
at oracle.sysman.oii.oiif.oiifm.OiifmGraphicInterfaceManager.<init>(OiifmGraphicInterfaceManager.java:227) at oracle.sysman.oii.oiic.OiicSessionInterfaceManager.createInterfaceManager(OiicSessionInterfaceManager.java:173) at oracle.sysman.oii.oiic.OiicSessionInterfaceManager.getInterfaceManager(OiicSessionInterfaceManager.java:182) at oracle.sysman.oii.oiic.OiicInstaller.<init>(OiicInstaller.java:278) at oracle.sysman.oii.oiic.OiicInstaller.runInstaller(OiicInstaller.java:714) at oracle.sysman.oii.oiic.OiicInstaller.main(OiicInstaller.java:628) Exception in thread "main" java.lang.InternalError: Current locale is not supported
	at sun.awt.motif.MWindowPeer.pSetTitle(Native Method)
	at sun.awt.motif.MWindowPeer.init(MWindowPeer.java:97)
	at sun.awt.motif.MFramePeer.<init>(MFramePeer.java:58)
	at sun.awt.motif.MToolkit.createFrame(MToolkit.java:209)
	at java.awt.Frame.addNotify(Frame.java:472)
	at java.awt.Window.addNotify(Window.java:413)
	at java.awt.Window.show(Window.java:459)
	at java.awt.Component.show(Component.java:1133)
	at java.awt.Component.setVisible(Component.java:1088)
at oracle.sysman.oii.oiif.oiifm.OiifmGraphicInterfaceManager.<init>(OiifmGraphicInterfaceManager.java:227) at oracle.sysman.oii.oiic.OiicSessionInterfaceManager.createInterfaceManager(OiicSessionInterfaceManager.java:173) at oracle.sysman.oii.oiic.OiicSessionInterfaceManager.getInterfaceManager(OiicSessionInterfaceManager.java:182) at oracle.sysman.oii.oiif.oiifm.OiifmAlert.<clinit>(OiifmAlert.java:112) at oracle.sysman.oii.oiic.OiicInstaller.runInstaller(OiicInstaller.java:772) at oracle.sysman.oii.oiic.OiicInstaller.main(OiicInstaller.java:628)



Reply to: